# Uses of Class
org.bukkit.util.ChatPaginator.ChatPage

Packages that use ChatPaginator.ChatPage
Package
Description
org.bukkit.util
Multi and single purpose classes to facilitate various programmatic concepts.

## Uses of ChatPaginator.ChatPage in org.bukkit.util

Methods in org.bukkit.util that return ChatPaginator.ChatPage
Modifier and Type
Method
Description
`static @NotNull ChatPaginator.ChatPage`
ChatPaginator.`paginate(@Nullable String unpaginatedString, int pageNumber)`
Breaks a raw string up into pages using the default width and height.
`static @NotNull ChatPaginator.ChatPage`
ChatPaginator.`paginate(@Nullable String unpaginatedString, int pageNumber, int lineLength, int pageHeight)`
Breaks a raw string up into pages using a provided width and height.